@import '../index';
@import '../rem';

.base{
    text-align: left;

    .inputWrapper {
        position: relative;

        .control {
            display: flex;
            position: absolute;
            right: rem(8px);
            top: rem(8px);
            cursor: pointer;
        }
    }
}

.label {
    display: block;
    font-style: normal;
    font-weight: normal;
    font-size: rem(15px);
    line-height: rem(24px);
}

.input {
    font-size: rem(15px);
    line-height: rem(24px);
    transition: all 0.3s ease;
    background: var(--color-white);
    border: 1px solid var(--color-gray);
    box-sizing: border-box;
    border-radius: rem(4px);
    padding: rem(7px) rem(40px) rem(7px) rem(12px);
    width: 100%;
    box-shadow: none;
    appearance: none;
    outline: none;
    -moz-appearance: textfield;

    &::-webkit-input-placeholder {
        color: var(--color-black-30);
    }
    &::-moz-placeholder {
        color: var(--color-black-30);
    }
    &:-moz-placeholder {
        color: var(--color-black-30);
    }
    &:-ms-input-placeholder {
        color: var(--color-black-30);
    }

    &:focus {
        box-shadow: 0 0 rem(1px) rem(3px) var(--color-primary-outline);
        border-color: var(--btn-blue-700);
    }

    &:disabled {
        background: var(--color-gray);
        color: var(--color-gray-500);

        &::-webkit-input-placeholder {
            color: var(--color-gray-active);
        }
        &::-moz-placeholder {
            color: var(--color-gray-active);
        }
        &:-moz-placeholder {
            color: var(--color-gray-active);
        }
        &:-ms-input-placeholder {
            color: var(--color-gray-active);
        }
    }
}

.input[type='date']::-webkit-inner-spin-button { display: none; }
.input[type='number']::-webkit-outer-spin-button,
.input[type='number']::-webkit-inner-spin-button {
    -webkit-appearance: none;
}

.error{

    .input {
        background: var(--color-alert-20);
        border:rem(1px) solid var(--color-transparent);
        color: var(--color-black);
        margin-bottom: rem(4px);

        &::-webkit-input-placeholder {
            color: var(--color-gray-500);
        }
        &::-moz-placeholder {
            color: var(--color-gray-500);
        }
        &:-moz-placeholder {
            color: var(--color-gray-500);
        }
        &:-ms-input-placeholder {
            color: var(--color-gray-500);
        }

        &:focus {
            box-shadow: 0 0 rem(1px) rem(3px) var(--color-alert-20);
            border-color: var(--color-alert);
            background: var(--color-white);
        }

        &:disabled {
            background: var(--color-gray);
        }
    }

    .error-message{
        color: var(--color-alert);
        font-size: rem(12px);
        line-height: rem(16px);
    }
}
